{% extends "registration/layout.html" %}
{% load static %}

{% block Head %}
<title>login</title>
<link rel="stylesheet" href="{% static 'jaguarete/login.css' %}">
{% endblock Head %}


{% block content %}
<main>
    <section class="card">
        <h1 class="titulo">ACCEDER A LA WEB</h1>
        <br>
        {% if form.errors %}
            <p>El usuario y la clave no coinciden, por favor intente nuevamente.</p>
        {% endif %}
        {% if next %}
            {% if user.is_authenticated %}
                <p>Tu cuenta no tiene acceso a esta página. Para proceder,
                por favor inicie sesión con una cuenta que tenga acceso.</p>
            {% else %}
            <p>Inicie sesión para ver esta página.</p>
            {% endif %}
        {% endif %}   
        <form method="post" action="{% url 'login' %}">
            {% csrf_token %}
            <div class="mb-3 row">
                <label for="usuario" class="col-sm-11 col-form-label">{{ form.username.label_tag }}</label>
                <div class="col-sm-13">
                    <td>{{ form.username }}</td>
                </div>
            </div>
            <div class="mb-3 row">
                <label for="Password" class="col-sm-11 col-form-label">{{ form.password.label_tag }}</label>
                <div class="col-sm-13">
                    {{ form.password }}
                </div>
            </div>
            <div>
                <input class="btn btn-dark" type="submit" value="ACCEDER" />
                <button class="btn btn-dark" onclick="window.location.href='/registrarse/'">REGISTRO</button>
                <input type="hidden" name="next" value="{{ next }}" />
            </div>
        </form>
    </section>
</main>
{% endblock %}